%global debug_package %{nil}
%define libnamedev %mklibname snark-supercop -s -d

Name:           libsnark-supercop
Version:        20141014
Release:        %mkrel 3
Summary:        Subset of the supercop sources used in the libsnark
Group:		System/Libraries
License:        MIT
URL:            https://github.com/mbbarbosa/libsnark-supercop
Source0:        https://github.com/mbbarbosa/libsnark-supercop/archive/libsnark-supercop-master.zip

%description
Supercop permits automatically detecting the best compilation options for each 
of these algorithms in any given platform.

For optimal performance, Supercop should be used to determine the compilation 
options for each specific file in the target machine.


%package        -n %libnamedev
Summary:        Development files for %{name}

%description    -n %libnamedev
Supercop permits automatically detecting the best compilation options for each 
of these algorithms in any given platform.

For optimal performance, Supercop should be used to determine the compilation 
options for each specific file in the target machine.


%prep
%setup -q  -n libsnark-supercop-master

%build
sh do

%install
%{__mkdir_p} %{buildroot}%{_includedir}/supercop
%{__mkdir_p} %{buildroot}%{_libdir}/
%{__install} -p include/{crypto_core_aes128encrypt.h,crypto_hash_sha256.h,crypto_hash_sha512.h,crypto_sign_ed25519.h,crypto_sign.h,crypto_verify_16.h,crypto_verify_32.h,crypto_verify_8.h,randombytes.h}  %{buildroot}%{_includedir}/supercop
%{__install} -p lib/libsupercop.a  %{buildroot}%{_libdir}

%files -n %libnamedev
%doc README.md
%{_includedir}/supercop/*
%{_libdir}/libsupercop.a



%changelog
* Sun Oct 30 2016 dlucio <dlucio> 20141014-3.mga6
+ Revision: 1064117
- filefix list
- install macros rather than cp
- imported package libsnark-supercop

